Retrieve flight IDs based on a datetime range
Returns a list of flight IDs for flights scheduled within the specified datetime range (filters on scheduleDateTime). Max date range is three days.
Query Parameters
From date of search period. Format: yyyy-MM-dd’T’HH:mm:ss
To date of search period (inclusive). Format: yyyy-MM-dd’T’HH:mm:ss
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
List of flight IDs
Authentication
Query Parameters
Headers
Retrieves flights for a specific date
Retrieves flights for a specific date. If scheduleDate is provided as query parameter, it will retrieve flights for that date. If not provided it is defaulted to today. If there are more hits then allowed on one page response headers will contain the URLs where other pages of the results can be reached.For example:
Link: <protocol://server_address:port/public-flights/resource> ; rel=“first”,
<protocol://server_address:port/public-flights/resource?page=10> rel=“last”,
<protocol://server_address:port/public-flights/resource?page=3> rel=“next”,
<protocol://server_address:port/public-flights/resource?page=1> rel=“prev”
Query Parameters
Scheduled date to get flights for. Format: yyyy-MM-dd. Defaults to today if not provided
See: scheduleDate. Prefer scheduleDate. If both scheduleDate and scheduledate are used scheduleDate takes precedence
Scheduled time to get flights from. Format: HH:mm
Flight number as printed on the ticket
>= 5 characters<= 8 characters
See: flightName. Prefer flightName. If both flightName and flightname are used flightName takes precedence
>= 5 characters<= 8 characters
Direction of the flight
Allowed values:AD
See: flightDirection. Prefer using flightDirection. If both flightDirection and flightdirection are used flightDirection takes precedence
Allowed values:AD
Prefix in flight number as printed on the ticket. For exmaple: KL. This can either be a 2-character (IATA) airline prefix or 3-character (ICAO) airline prefix. Only one airline (or airlineCode) can be queried at the same time.
>= 2 characters<= 3 characters
NVLS code of an airliner.
IATA or ICAO code of airport in route; multiple values, comma separated
>= 1 characters
Include flights of earlier an scheduleDate when these have enough delay to shift to the date that is queried upon.
Default:false
See: includedelays. Prefer includedelays. If both includeDelays and includeDelays are used, includedelays take precedence.
Default:false
Page number
Default:0
>= 0<= 499
Specifies which field to use for sorting. Allowed values are flightName, scheduleDate, scheduleTime, flightDirection, mainFlight, airlineCode, id, and all fields from the searchDateTimeField parameter. Use plus or minus sign to indicate ascending or descending order. Multiple fields are allowed and should be separated by a comma. For example “-scheduleDate, +scheduleTime”.
Match pattern:^((\+|-| )?(flightName|scheduleDate|scheduleTime|flightDirection|mainFlight|airlineCode|id|estimatedLandingTime|actualLandingTime|publicEstimatedOffBlockTime|actualOffBlockTime|expectedTimeBoarding|expectedTimeGateClosing|expectedTimeGateOpen|expectedTimeOnBelt|scheduleDateTime|lastUpdatedAt)(,|$))+$
Default:+scheduleTime
From date of search period. Format: yyyy-MM-dd’T’HH:mm:ss
To date of search period (inclusive). Format: yyyy-MM-dd’T’HH:mm:ss
Query by a specific DateTime field. Allowed fields are estimatedLandingTime, actualLandingTime, publicEstimatedOffBlockTime, actualOffBlockTime, expectedTimeBoarding, expectedTimeGateClosing, expectedTimeGateOpen, expectedTimeOnBelt, scheduleDateTime, lastUpdatedAt
Allowed values:estimatedLandingTimeactualLandingTimepublicEstimatedOffBlockTimeactualOffBlockTimeexpectedTimeBoardingexpectedTimeGateClosingexpectedTimeGateOpenexpectedTimeOnBeltscheduleDateTimelastUpdatedAt
Query by ScheduleDate range.
Query by ScheduleDate range
Query based on operational/non-operational flights.true for operational and false for non-operational flights
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
OK
FlightList
Public flight information.
Show Child Parameters
Authentication
Query Parameters
Headers
Retrieves list of airlines
Retrieves a list of airlines. If there are more hits then allowed on one page response headers will contain the URLs where other pages of the results can be reached.For example:
Link: <protocol://server_address:port/public-flights/resource> ; rel=“first”,
<protocol://server_address:port/public-flights/resource?page=10> rel=“last”,
<protocol://server_address:port/public-flights/resource?page=3> rel=“next”,
<protocol://server_address:port/public-flights/resource?page=1> rel=“prev”
Query Parameters
page number
Default:0
>= 0<= 499
Specifies which field to use for sorting. Allowed fields are publicName, iata, icao and nvls. Use plus or minus sign to indicate ascending or descending order.
Match pattern:^((\+|-| )?(publicName|iata|icao|nvls)(,|$))+$
Default:+iata
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
OK
AirlineList
Passenger airline operating to or from Amsterdam Airport Schiphol.
Show Child Parameters
Authentication
Query Parameters
Headers
Retrieves airline based on code (IATA or ICAO)
Retrieve airline based on IATA code or ICAO code.
Path Parameters
IATA / ICAO code
>= 2 characters<= 3 characters
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
OK
Airline
Passenger airline operating to or from Amsterdam Airport Schiphol.
Two-character IATA airline code. Example: KL.
Three-letter ICAO airline code. Example: KLM.
Numeric NVLS airline code.
Public name of the airline. Example: KLM.
Authentication
Path Parameters
Headers
Retrieves list of aircrafttypes
Retrieves list of aircrafttypes. If there are more hits then allowed on one page response headers will contain the URLs where other pages of the results can be reached.For example:
Link: <protocol://server_address:port/public-flights/resource> ; rel=“first”,
<protocol://server_address:port/public-flights/resource?page=10> rel=“last”,
<protocol://server_address:port/public-flights/resource?page=3> rel=“next”,
<protocol://server_address:port/public-flights/resource?page=1> rel=“prev”
Query Parameters
IATA main code
>= 3 characters<= 3 characters
IATA sub code
>= 3 characters<= 3 characters
Page number
Default:0
>= 0<= 499
Specifies which field to use for sorting. Allowed fields are iataMain, iataSub, longDescription and shortDescription. Use plus or minus sign to indicate ascending or descending order.
Match pattern:^((\+|-| )?(iataMain|iataSub|longDescription|shortDescription)(,|$))+$
Default:+iataMain
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
OK
AircraftTypeList
Aircraft type operated on flights to or from Amsterdam Airport Schiphol.